<?php
    function form($title, $form_message, $inputs, $action = '') { ?>
        <form class='form' enctype="multipart/form-data" method="POST" action="<?php echo $action ?>">
            <h1 class="form-heading">
                <?php echo $title ?>
            </h1>
            <span class='form-message'>
                <?php echo $form_message ?>
            </span>
            <?php
                foreach ($inputs as $kv) { ?>
                    <span class='form-key'>
                        <?php echo $kv['key'] ?>
                    </span>
                    
                    <<?php echo (($kv['type'] == 'textarea') ? 'textarea' : 'input') ?>
                        class='form-input' 
                        type="<?php echo $kv['type'] ?>"
                        name="<?php echo $kv['name'] ?>" 
                        value="<?php echo ($kv['type'] == 'textarea') ? '' : $kv['default'] ?>"
                    ><?php echo (($kv['type'] == 'textarea') ? $kv['default'] . '</textarea>' : '') ?>
                <?php }
            ?>
            <input class='form-button' type="Submit" name="Submit">
        </form>
    <?php }
?>